Bug 92248 - [KBL/SKL/BYT/BXT/GLK] igt/kms_plane_scaling fail
Summary: [KBL/SKL/BYT/BXT/GLK] igt/kms_plane_scaling fail
Status: CLOSED INVALID
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-02 15:17 UTC by Olivier Berthier
Modified: 2018-08-31 11:32 UTC (History)
2 users (show)

See Also:
i915 platform: BXT, BYT, KBL, SKL
i915 features: display/Other


Attachments
dmesg log file (277.91 KB, text/plain)
2015-10-02 15:17 UTC, Olivier Berthier
no flags Details
dmesg log (6.44 KB, text/plain)
2015-10-16 17:17 UTC, Jairo Miramontes
no flags Details
Output(GLK) (14.04 KB, text/plain)
2017-08-31 13:16 UTC, Hector Velazquez
no flags Details
Dmesg.log (GLK) (250.88 KB, text/plain)
2017-08-31 13:17 UTC, Hector Velazquez
no flags Details
new-dmesg (251.67 KB, text/plain)
2017-09-06 14:37 UTC, Armando Antonio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Berthier 2015-10-02 15:17:43 UTC
Created attachment 118610 [details]
dmesg log file

Setup:
-------

Hardware
Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02 & FBS03, O-06

Software
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19

kernel 4.3.0-rc2-drm-intel-testing-2015-09-28
From bf2dbbc32aae7e5d9dd955fef23f98995987d924 Mon Sep 17 00:00:00 2001
From: Daniel Vetter <daniel.vetter@ffwll.ch>
Date: Fri, 25 Sep 2015 14:29:34 +0200
Subject: drm-intel-nightly: 2015y-09m-25d-12h-28m-49s UTC integration manifest


cairo: (HEAD, tag: 1.14.2) 93422b3cb5e0ef8104b8194c8873124ce2f5ea2d from git://git.freedesktop.org/git/cairo
drm: (HEAD, tag: libdrm-2.4.64, tag: 2.4.64) ab2fadabde3829b1ec56bd4756165dd9bd281488 from git://git.freedesktop.org/git/mesa/drm
intel-driver: (HEAD, origin/master, origin/HEAD, master) 2a72f99d24714f2a58f400ef63b913d4cf9080b3 from git://git.freedesktop.org/git/vaapi/intel-driver
libva: (HEAD, tag: libva-1.6.1, origin/v1.6-branch) 613eb962b45fbbd1526d751e88e0d8897af6c0e0 from git://git.freedesktop.org/git/vaapi/libva
mesa: (HEAD, tag: mesa-10.6.7) 32efdc87cbf89cfe08ad9571cd756e27c803caa8 from git://git.freedesktop.org/git/mesa/mesa
xf86-video-intel: (HEAD, origin/master, origin/HEAD, master) f0fd4d500de03c30c7ce19915f85acadd1ca4e5d from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
xserver: (HEAD, tag: xorg-server-1.17.2) 2123f7682d522619f101b05fb75efa75dabbe371 from git://git.freedesktop.org/git/xorg/xserver

intel-gpu-tools: (HEAD, tag: intel-gpu-tools-1.12) 1f9e0550455be4b219954a026407dd23ec21b299 from git://git.freedesktop.org/git/xorg/app/intel-gpu-tools

Steps:
------
run the command :
#  ./kms_plane_scaling

Actual result:
---------------
The result of the test is fail.

Expected result:
----------------
The result is pass or skip.

Output:
--------
IGT-Version: 1.12-g1f9e055 (x86_64) (Linux: 4.3.0-rc2-drm-intel-nightly+ x86_64)
Test assertion failure function test_plane_scaling, file kms_plane_scaling.c:222:
Failed assertion: cairo_surface_status(image) == CAIRO_STATUS_SUCCESS
Last errno: 2, No such file or directory
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [__real_main347+0xa68]
  #2 [main+0x29]
  #3 [__libc_start_main+0xf5]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Test kms_plane_scaling failed.
**** DEBUG ****
(kms_plane_scaling:2706) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
Test requirement passed: fd >= 0
Test requirement passed: ctl
Test requirement passed: (written == strlen(cmd) && ret == 0) || errno != ENODEV
display: init {
display:     eDP-1: Selecting pipe A
display:     DP-2: Selecting pipe B
display: }
Test requirement passed: d->display.has_universal_planes
Test requirement passed: d->num_scalers
display: eDP-1: set_pipe(A)
Test assertion failure function test_plane_scaling, file kms_plane_scaling.c:222:
Failed assertion: cairo_surface_status(image) == CAIRO_STATUS_SUCCESS
Last errno: 2, No such file or directory
****  END  ****
FAIL (0.061s)
Comment 1 Olivier Berthier 2015-10-02 15:23:50 UTC
Same bug for igt/kms_panel_fitting.
Comment 2 Humberto Israel Perez Rodriguez 2015-10-02 17:24:24 UTC
still happen on SKL-Y with the latest kernel :

Kernel : 4.3.0-rc2-drm-intel-nightly
Comment 3 cprigent 2015-10-13 14:24:49 UTC
Reproduced with last setup:

Hardware:
Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
Software
Linux : Ubuntu 14.04 LTS 64 bits
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19

kernel 4.3.0-rc3-drm-intel-nightly+ (eb69e51) from git://anongit.freedesktop.org/drm-intel
Mesa - 11.0.2 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.64 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 4 Elio 2015-10-16 14:24:05 UTC
kms_panel_fitting is failing with latest configuration on BYT
Kernel: http://vanaheimr.fr.intel.com/shared/out/kernels/drm-intel/WW42.1_4.3.0-rc4_c38f2c2/
 xorg-server-1.17.2
libdrm-2.4.65
xf86-video-intel2.99.917
mesa-11.0.2
libva-1.6.1
intel-driver 1.6.1
cairo 1.14.2
intel-gpu-tools-1.12
Comment 5 Jairo Miramontes 2015-10-16 17:17:32 UTC
Created attachment 118927 [details]
dmesg log

kms_pannel_fitting also failing on BDW on the latest configuration

Test Environment:
````````````````````````````````````
Kernel:4.3.0-rc4 drm-intel-testing-2015-10-10
Mesa: mesa-11.0.2 
Xf86_video_intel: 2.99.917 
Libdrm: libdrm-2.4.65
Cairo: 1.14.2 
libva: libva-1.6.1 
intel-driver: 1.6.1
xorg: 1.17.99 installed with script git_xorg.sh
Xserver: xorg-server-1.17.2 
Intel-gpu-tools: 1.12
Comment 6 cprigent 2015-11-07 13:04:09 UTC
Reproduced on SKL-Y with last setup:

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
Software
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc7-drm-intel-nightly (86ba603) from git://anongit.freedesktop.org/drm-intel
  commit 86ba603f327626055fe1436112b3786eaaaf7fb1
  Author: Daniel Vetter <daniel.vetter@ffwll.ch>
  Date:   Sat Oct 31 09:27:21 2015 +0100
  drm-intel-nightly: 2015y-10m-31d-08h-26m-39s UTC integration manifest
Mesa 11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 7 cprigent 2015-11-15 15:43:07 UTC
Reproduced on SKL-Y with last setup:

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19
Linux distribution: Ubuntu 15.04 LTS 64 bits
kernel 4.3.0-drm-intel-nightly (a3b0dec) from git://anongit.freedesktop.org/drm-intel
  commit a3b0dec82fdb59c629c4fb9847245b80b0cf69dd
  Author: Jani Nikula jani.nikula@intel.com
  Date: Fri Nov 6 14:48:23 2015 +0200
  drm-intel-nightly: 2015y-11m-06d-12h-48m-02s UTC integration manifest
Mesa 11.0.4 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 8 Olivier Berthier 2015-11-19 16:37:19 UTC
Reproduced on Sky Lake Y with the kernel 4.3.0-rc5 drm-intel-next-fixes-2015-11-06.

Setup:
------

Hardware
Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D0 2+2 (ou ULX-D1)
QDF : QJA4 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories

Software
BIOS : SKLSE2R1.R00.B104.B01.1511110114
ME FW : 11.0.0.1191
Ksc (EC FW): 1.19
Linux : Ubuntu 15.04 64 bits
Kernel : 4.3.0-rc5 drm-intel-next-fixes-2015-11-06
commit 816d2206f0f9953ca854e4ff1a2749a5cbd62715
Merge: d0baf92 1b0e3a0
Author: Dave Airlie <airlied@gmail.com>
Date:   Sat Nov 7 17:16:59 2015 +1000

    Merge tag 'drm-intel-next-fixes-2015-11-06' of git://anongit.freedesktop.org/drm-in
 

cairo: 1.14.2
drm: 2.4.65
vaapi/intel-driver: 1.6.1
vaapi/libva: 1.6.1
mesa: mesa-11.0.5
xf86-video-intel: 2.99.917
xserver:  xorg-server-1.17.2

Intel GPU Tools: master bfea74a9f64a900bcb90f946b38746781017449f
Comment 9 cprigent 2015-11-27 17:56:45 UTC
Test is fail on SKL-Y with kernel tag drm-intel-testing-2015-11-20 

Motherboard: Skylake Y
cpu model name	: Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz
cpu model : 78
cpu family : 6
Graphic card: Device 191e (rev 07) 
Software:
Kernel: tag drm-intel-testing-2015-11-20 5074e51ef3a2b0ad4c2354e95aec5380a93966b3 (4.4-rc1) from git://anongit.freedesktop.org/drm-intel
Ubuntu 14.04.2 LTS
Bios: SKLSE2R1.R00.B104.B01.1511110114
Libdrm: 2.4.65 from http://cgit.freedesktop.org/mesa/drm
Comment 10 cprigent 2015-12-08 21:22:58 UTC
Test is now skipped with tag testing 2015-12-04 on BDW-U.

Hardware:
Motherboard: SawTooth Peak cpu model name : Intel(R) Core(TM) i5-5300U CPU @ 2.30GHz
cpu model : 61
cpu family : 6
Graphic card: Broadwell-U Integrated Graphics (rev 09)
Software:
Kernel: tag 2015-12-04-drm-intel-testing 4.4.0-rc3 91587c7 from http://cgit.freedesktop.org/drm-intel/
Ubuntu 14.04.1 LTS
Bios: EBH7710H.86A.0096.2012.1012.1645
Libdrm: 2.4.65
Comment 11 cprigent 2016-01-17 21:12:16 UTC
Fail on a SKL production device:

Dell Inspiron 15 7000 2-1
Intel Core (TM) i7 CPU @ 6500 2.5
Intel HD Graphics
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.4.0-rc8 8834392 from http://cgit.freedesktop.org/drm-intel/
libdrm-2.4.66 from http://cgit.freedesktop.org/mesa/drm/
xf86-video-intel 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
mesa-11.0.8 from http://cgit.freedesktop.org/mesa/mesa/
libva-1.6.2 from http://cgit.freedesktop.org/libva/
intel-driver 1.6.2 from http://cgit.freedesktop.org/vaapi/intel-driver
cairo 1.15.2 from http://cgit.freedesktop.org/cairo
IGT 1.13 cd658a7c6bca74eb897a8ae87751029793f0c4f4 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/
DMC and GUC firmware from https://01.org/linuxgraphics/intel-linux-graphics-firmwares
Comment 12 cprigent 2016-02-14 13:14:09 UTC
Also fail on KBL:
Hardware
Platform: KABY LAKE-U
CPU : Intel(R) Core(TM) @ 2.60GHz
MCP : KBL-U G0 2+2 (ou ULT-G0)
QDF : QYQ8
Chipset PCH: SPT-LP C1
CRB : KABY LAKE U DDR3L RVP7 CRB FAB1
Software
BIOS : KBLSE2R1.R00.X015.B01.1511271314
ME FW : 11.5.0.1008
Ksc (EC FW): 1.20
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.5.0-rc3_d9bd337 from
http://cgit.freedesktop.org/drm-intel/
  commit d9bd337b4b2d46f73005fcdf0e7049e7f8ed5c04
  Author: Jani Nikula <jani.nikula@intel.com>
  Date: Tue Feb 9 17:43:10 2016 +0200
  drm-intel-nightly: 2016y-02m-09d-15h-42m-46s UTC integration manifest
drm: tag libdrm-2.4.66-33-gf884af9
intel-gpu-tool: intel-gpu-tools-1.13-195-g8d441ee
Comment 13 Rami 2016-02-19 14:34:31 UTC
Fail on BXT with last setup:

Platform: Broxton P A0 Platform
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
CRB : Apollo Lake LPDDR3 RVP2B
Reworks : R17, R18, PNP3

Software:
=========
BIOS (IFWI Version): APLK_IFWI_X64_R_2015_44_3_00
KSC : 1.05
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly: 2016y-02m-16d-17h-53m-05s UTC integration manifest
commit bd0b1a9aa8b7fdb2e06a5cbf1756ef93de2fa3fd
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Tue Feb 16 18:53:28 2016 +0100
http://cgit.freedesktop.org/drm-intel/
drm: tag libdrm-2.4.66 9b77443 from http://cgit.freedesktop.org/mesa/drm/
mesa: tag mesa-11.1.1 330aa44from http://cgit.freedesktop.org/mesa/mesa/
cairo: tag 1.15.2 db8a7f1 from http://cgit.freedesktop.org/cairo
waffle: master bb29b2a from https://github.com/waffle-gl/waffle
xorg-server-macros: master d7acec2 from git://git.freedesktop.org/git/xorg/util/macros
libva: tag libva-1.6.1 1f026de from http://cgit.freedesktop.org/libva/
vaapi-intel-driver: tag 1.6.1 f6fe842 from http://cgit.freedesktop.org/vaapi/intel-driver


Tools
intel-gpu-tool: tag intel-gpu-tools-1.13 0a45d6b from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/
Comment 14 Humberto Israel Perez Rodriguez 2016-02-25 19:27:57 UTC
This test keeps fail with latest configuration on BXT-P :

Software & Hardware information
================================
Kernel version                      : 4.5.0-rc5-nightly+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Mesa version                        : 11.1.1 (git-330aa44
xf86-video-intel version            : 2.99.917
Xorg-Xserver version                : 1.18.1
DRM version                         : 2.4.66
VAAPI version                       : Intel i965 driver for Intel(R) Broxton - 1.6.3.pre1 (1.6.1-92-gf6fe842)
Cairo version                       : 1.15.2
Bios revision                       : 119.10
KSC revision                        : 1.6
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : Other
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])

Kernel
=======
commit 1a139ead792d8e912aa13d413b9cf59811fde676
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Feb 22 10:48:46 2016 +0200

    drm-intel-nightly: 2016y-02m-22d-08h-48m-06s UTC integration manifest
Comment 15 Humberto Israel Perez Rodriguez 2016-03-17 17:40:18 UTC
kms_plane_scaling keeps fail on BXT and the following configuration


Hardware information
=====================
Platform	BXT-P
Motherboard model	Broxton P
Motherboard type	NOTEBOOK Hand Held
Motherboard manufacturer	Intel Corp.
CPU family	Other
CPU information	06/5c
GPU Card	Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])

Software information
======================
Linux distribution : Ubuntu 15.10
Architecture       : 64-bit

 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.67-5-gea07de9 
	 commit : ea07de9 
	 author : Rodrigo Vivi <rodrigo.vivi@intel.com> 
	 age : 13 days ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 5 weeks ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-560-gd167280 
	 commit : d167280 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 3 weeks ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.7.0.pre1 
	 commit : 35f1447 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.7.0.pre1 
	 commit : ab8e4e3 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 3 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.1 
	 commit : 23e60f9 
	 author : Adam Jackson <ajax@redhat.com> 
	 age : 5 weeks ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-23-g364d378 
	 commit : 364d378 
	 author : Paulo Zanoni <paulo.r.zanoni@intel.com> 
	 age : 10 days ago 

kernel
=========
drm-intel-testing / commit a27657a

commit a27657a39741599ce9feef1ef39ae6654e9e6768
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Feb 29 09:42:22 2016 +0100

    drm-intel-nightly: 2016y-02m-29d-08h-41m-12s UTC integration manifest

Kernel version : 4.5.0-rc5
Architecture : source amd64 all
Comment 16 Luis Botello 2016-03-23 19:49:12 UTC
This issue still happen on KBL with the following configuration


Hardware configuration
=======================
Platform	KBL (RVP3)
Motherboard model	Kabylake Client platform
Motherboard type	Skylake Y LPDDR3 RVP3 Laptop
Motherboard manufacturer	Intel Corporation
CPU family	Other
CPU information	Genuine Intel(R) CPU 0000 @ 0.90GHz
GPU Card	Intel Corporation Device 591e (prog-if 00 [VGA controller])
Memory ram	4 GB

Software configuration
=======================
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.67-5-gea07de9 
	 commit : ea07de9 
	 author : Rodrigo Vivi <rodrigo.vivi@intel.com> 
	 age : 13 days ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 5 weeks ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-560-gd167280 
	 commit : d167280 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 3 weeks ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.7.0.pre1 
	 commit : 35f1447 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.7.0.pre1 
	 commit : ab8e4e3 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 3 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.1 
	 commit : 23e60f9 
	 author : Adam Jackson <ajax@redhat.com> 
	 age : 5 weeks ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-23-g364d378 
	 commit : 364d378 
	 author : Paulo Zanoni <paulo.r.zanoni@intel.com> 
	 age : 10 days ago 


kernel configuration
=====================
Branch : drm-intel-testing
commit a27657a39741599ce9feef1ef39ae6654e9e6768
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Feb 29 09:42:22 2016 +0100

    drm-intel-nightly: 2016y-02m-29d-08h-41m-12s UTC integration manifest
Kernel version : 4.5.0-rc5
Architecture : source amd64 all
Comment 17 cprigent 2016-05-13 17:28:05 UTC
Fail on KBL-U with last setup:

Hardware
Platform: KABY LAKE-U
CPU : Intel(R) Core(TM) @ 2.60GHz
MCP : KBL-U G0 2+2 (ou ULT-G0)
QDF : QYQ8
Chipset PCH: SPT-LP C1
CRB : KABY LAKE U DDR3L RVP7 CRB FAB1

Software
BIOS : KBLSE2R1.R00.X015.B01.1511271314
ME FW : 11.5.0.1008
Ksc (EC FW): 1.20
Linux distribution: Ubuntu 16.04 64 bits
kernel drm-intel-nightly 4.6.0-rc7 61f856f from http://cgit.freedesktop.org/drm-intel/
  commit 61f856faa1e6ff9dddad214be1e372e8aacfc0f4
  Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
  Date:   Mon May 9 19:24:21 2016 +0300
  drm-intel-nightly: 2016y-05m-09d-16h-24m-01s UTC integration manifest
libdrm-2.4.68 fc09c5a from git://anongit.freedesktop.org/mesa/drm
cairo: 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
IGT 1.14 cc24755 from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git
Comment 18 Matt Roper 2016-05-17 22:47:20 UTC
What monitor(s) are in use when the test fails?  There's a bug in the test program itself where it will try to use two scalers per pipe, regardless of which pipe it's working with.  We only have a single scaler on Pipe C, so the test will always fail in that case.

Also, please check that "1080p-left.png" file is present and accessible by the test program.  The output from Olivier's first comment here indicates that the test program is unable to find the image file it uses.
Comment 19 Humberto Israel Perez Rodriguez 2016-05-18 02:30:17 UTC
(In reply to Matt Roper from comment #18)
> What monitor(s) are in use when the test fails?  There's a bug in the test
> program itself where it will try to use two scalers per pipe, regardless of
> which pipe it's working with.  We only have a single scaler on Pipe C, so
> the test will always fail in that case.
> 
> Also, please check that "1080p-left.png" file is present and accessible by
> the test program.  The output from Olivier's first comment here indicates
> that the test program is unable to find the image file it uses.

i've put 1080p-left.png in tests folder, but looks like that i have the same issue 

IGT-Version: 1.14-NOT-GIT (x86_64) (Linux: 4.6.0-drm-intel-nightly-ww21-commit-c5034bf+ x86_64)
(kms_plane_scaling:2334) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(kms_plane_scaling:2334) drmtest-DEBUG: Test requirement passed: fd >= 0
(kms_plane_scaling:2334) igt-debugfs-DEBUG: Test requirement passed: ctl
(kms_plane_scaling:2334) igt-debugfs-DEBUG: Test requirement passed: (written == strlen(cmd) && ret == 0) || errno != ENODEV
(kms_plane_scaling:2334) igt-kms-DEBUG: display: init {
(kms_plane_scaling:2334) igt-kms-DEBUG: display:     eDP-1: Selecting pipe A
(kms_plane_scaling:2334) igt-kms-DEBUG: display:     DP-1: Selecting pipe B
(kms_plane_scaling:2334) igt-kms-DEBUG: display:     DP-2: Selecting pipe C
(kms_plane_scaling:2334) igt-kms-DEBUG: display: }
(kms_plane_scaling:2334) DEBUG: Test requirement passed: d->display.has_universal_planes
(kms_plane_scaling:2334) DEBUG: Test requirement passed: d->num_scalers
(kms_plane_scaling:2334) igt-kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_plane_scaling:2334) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:2334) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:2334) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:2334) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_plane_scaling:2334) igt-core-CRITICAL: Could not open data file "1080p-left.png": No such file or directoryReceived signal SIGSEGV.

real    0m0.442s
user    0m0.024s
sys     0m0.004s
(07:28 PM) [gfx@gfx04x] [tests]$ : ls -l  | grep 1080
-rwxrwxrwx 1 gfx gfx   41858 May 17 19:26 1080p-left.png
-rwxrwxrwx 1 gfx gfx   42502 May 17 16:30 1080p-right.png


kernel used
=====================================================================
commit c5034bf7729a728065a996f8042626f23074d575
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 17 22:50:02 2016 +0200
Comment 20 Matt Roper 2016-05-19 15:42:41 UTC
(In reply to Humberto Israel Perez Rodriguez from comment #19)
> (In reply to Matt Roper from comment #18)
...
> > 
> > Also, please check that "1080p-left.png" file is present and accessible by
> > the test program.  The output from Olivier's first comment here indicates
> > that the test program is unable to find the image file it uses.
> 
> i've put 1080p-left.png in tests folder, but looks like that i have the same
> issue 
...

Actually, the test calls igt_create_image_fb -> igt_paint_image -> igt_fopen_data -> __igt_fopen_data which prepends a path to the beginning of the filename.  It first tries to open the file from igt_datadir (which is /usr/local/share/intel-gpu-tools in my setup) and then attempts igt_srcdir (which is the path the test was built out of).  The current directory (".") isn't attempted.  If you're doing something like building on one machine and then rsync'ing the IGT source directory to another machine (in a different path), then neither of these paths will match up and it will fail to load the image.
Comment 21 Humberto Israel Perez Rodriguez 2016-05-26 15:37:30 UTC
(In reply to Matt Roper from comment #20)
> (In reply to Humberto Israel Perez Rodriguez from comment #19)
> > (In reply to Matt Roper from comment #18)
> ...
> > > 
> > > Also, please check that "1080p-left.png" file is present and accessible by
> > > the test program.  The output from Olivier's first comment here indicates
> > > that the test program is unable to find the image file it uses.
> > 
> > i've put 1080p-left.png in tests folder, but looks like that i have the same
> > issue 
> ...
> 
> Actually, the test calls igt_create_image_fb -> igt_paint_image ->
> igt_fopen_data -> __igt_fopen_data which prepends a path to the beginning of
> the filename.  It first tries to open the file from igt_datadir (which is
> /usr/local/share/intel-gpu-tools in my setup) and then attempts igt_srcdir
> (which is the path the test was built out of).  The current directory (".")
> isn't attempted.  If you're doing something like building on one machine and
> then rsync'ing the IGT source directory to another machine (in a different
> path), then neither of these paths will match up and it will fail to load
> the image.

could you modified the test in order to attempt to the current igt directory ? i had put the folder in the path you mention but keeps fails
Comment 22 Matt Roper 2016-06-01 22:16:25 UTC
The library update to search the current directory for data files was accepted into IGT a couple days ago.

I also just posted another IGT patch that will fix the failures when this test is run with pipe C active:
  https://patchwork.freedesktop.org/patch/90896/
Comment 23 Humberto Israel Perez Rodriguez 2016-06-19 17:51:25 UTC
this test keep fail on latest configuration :


kernel : 4.6.1 from http://www.kernel.org/
Graphic stack
--> Component : drm 
         tag : libdrm-2.4.68 
         commit : fc09c5a 
--> Component : mesa 
         tag : mesa-11.2.2 
         commit : 3a9f628 
--> Component : cairo 
         tag : 1.15.2 
         commit : db8a7f1 
--> Component : intel-gpu-tools 
         tag : intel-gpu-tools-1.15 
         commit : 3ce58b6 
Software information
===============================================
Linux distribution                  : Ubuntu 16.04
Architecture                        : 64-bit
Bios revision                       : 138.25
KSC revision                        : 1.12
DMC revision                        : 1.07

Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])




output 
==============
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     eDP-1: Selecting pipe A
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-1: Selecting pipe B
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-2: SetPlane C.1, fb 59, src = (100, 100) 500x500 dst = (10, 10) 1900x1060
(kms_plane_scaling:1775) igt-kms-DEBUG: display: }
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.1: fb_set_position(0,0)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.1: fb_set_size(1920x1080)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.1: plane_set_position(10,10)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.1: plane_set_size (500x281)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-2: Selecting pipe C
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     eDP-1: Selecting pipe A
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-1: Selecting pipe B
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-2: SetPlane C.1, fb 59, src = (0, 0) 1920x1080 dst = (10, 10) 500x281
(kms_plane_scaling:1775) igt-kms-DEBUG: display: }
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.2: plane_set_fb(85)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.2: fb_set_position(100,100)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.2: fb_set_size(1620x780)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.2: plane_set_position(100,100)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: C.2: plane_set_size (1620x780)
(kms_plane_scaling:1775) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-2: Selecting pipe C
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     eDP-1: Selecting pipe A
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-1: Selecting pipe B
(kms_plane_scaling:1775) igt-kms-DEBUG: display:     DP-2: SetPlane C.2, fb 85, src = (100, 100) 1620x780 dst = (100, 100) 1620x780
(kms_plane_scaling:1775) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:1776:
(kms_plane_scaling:1775) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:1775) igt-kms-CRITICAL: Last errno: 22, Invalid argument
****  END  ****
(kms_plane_scaling:1775) igt-core-DEBUG: Exiting with status code 99
Comment 24 Luis Botello 2016-06-22 16:34:36 UTC
Issue is also seen on SKL with the following config:

 Software information
============================================
Kernel version                  : 4.6.1-mainline-ww24-version-4.6.1
Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit
Mesa version                    : 11.2.2 (git-3a9f628
xf86-video-intel version        : 2.99.917
Xorg-Xserver version            : 1.18.3
DRM version                     : 2.4.68
VAAPI version                   : Intel i965 driver for Intel(R) Skylake - 1.7.1.pre1 (1.7.1.pre1)
Cairo version                   : 1.15.2
Intel GPU Tools version         : Tag [intel-gpu-tools-1.15] / Commit [3ce58b6]
Kernel driver in use            : i915
Hardware acceleration           : Enabled
Bios revision                   : 1.0


 Hardware information
============================================
Platform                        : SKL
Motherboard model               : Inspiron 15-7568
Motherboard type                : 02HK88 Laptop
Motherboard manufacturer        : Dell Inc.
CPU family                      : Core i7
CPU information                 : Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz
GPU Card                        : Intel Corporation Sky Lake Integrated Graphics (rev 07) (prog-if 00 [VGA controller])

 Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.26
Comment 25 yann 2016-06-28 13:29:00 UTC
This bug sounds to be in IGT and Matt submitted patches to fix it. So updating current component.

Matt, please let Olivier or Humberto know when patch is merged such that we can re-test and close the bug
Comment 26 Humberto Israel Perez Rodriguez 2016-06-29 17:26:49 UTC
The following tests cases fail with the next configuration

Tests cases
============================================
igt@kms_plane_scaling


Software information
============================================
Kernel version                  : 4.7.0-rc4-drm-intel-nightly-ww26-commit-5c244f4+
Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit

Hardware information
============================================
Platform                        : BXT-P
Motherboard model               : Broxton P
Motherboard type                : NOTEBOOK Hand Held
Motherboard manufacturer        : Intel Corp.
CPU family                      : B1
CPU information                 : 06/5c
GPU Card                        : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Memory ram                      : 16 GB

Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.7
GUC fw loaded                   : SUCCESS
GUC version wanted              : 8.7
GUC version found               : 8.7

 
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.68-9-g625d181 
	 commit : 625d181 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.15-54-g88c1f7c 
	 commit : 88c1f7c 

Kernel information
============================================
commit 5c244f4b128c6274755007e080d46e0a61b71534
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 24 16:17:56 2016 +0100

    drm-intel-nightly: 2016y-06m-24d-15h-17m-32s UTC integration manifest
Comment 27 Humberto Israel Perez Rodriguez 2016-07-08 15:45:55 UTC
The following tests fails on APL :

Tests cases
=============================================
igt@kms_plane_scaling


Hardware Information
=============================================
Platform: APL system
Linux distribution: Ubuntu 16.04 64 bits
CPU Name : Intel(R) Genuine Processor @ 1.1 GHz (family: 6, model: 12, stepping: 9) 4 cores
QDF : Q6HE
SoC : B1
CRB : Apollo Lake DDR3L RVP1A FAB1
Reworks : R19, R20
Bios : 144.10
KSC: 1.15

Software Information
===============================================
drm: libdrm-2.4.68-11 7996a87
mesa: mesa-11.2.2 3a9f628
cairo: 1.15.2 db8a7f1
server: xorg-server-1.18.0-443 3762edd 
xf86-video-intel: 2.99.917-674 9154dff
libva: libva-1.7.0-26 c36971c
vaapi-intel-driver: 1.7.0-53 bcde10d
Intel-Gpu-Tools 1.15-87 376b813 

Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.7
GUC fw loaded                   : SUCCESS
GUC version wanted              : 8.7
GUC version found               : 8.7


Kernel
===============================================
commit 2fe5da8adcbe5a34830b98c63878eea756e977a2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jul 2 19:32:50 2016 +0100

    drm-intel-nightly: 2016y-07m-02d-18h-31m-39s UTC integration manifest
Comment 28 cprigent 2016-09-15 14:59:44 UTC
Skip on BDW

Platform: NUC5i7RYB
CPU: Intel(R) Core(TM) i7-5557U CPU @ 3.10GHz (Family 6, Model 61, Stepping 4)
Motherboard version: H73774-102
GPU: Intel® Iris™ Graphics 6100 - Intel Corporation Broadwell-U Integrated Graphics (rev 09)
Memory: two 4GB card Kingston 99U5469-045.A00LF
SSD: INTEL SSDSC2KW24

Software
Bios: RYBDWi35.86A.0358.2016.0606.1423 from https://downloadcenter.intel.com/downloads/eula/26081/BIOS-Update-RYBDWi35-86A-?httpDown=https%3A%2F%2Fdownloadmirror.intel.com%2F26081%2Feng%2FRY0358.bio
Linux distribution: Ubuntu 16.04 64 bits
Kernel: 4.8.0-rc5 bef9c1f from http://cgit.freedesktop.org/drm-intel/
  commit bef9c1f4afe24cfff578d386bde349add65673eb
  Author: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
  Date:   Mon Sep 12 11:35:34 2016 +0300
  drm-intel-nightly: 2016y-09m-12d-08h-35m-02s UTC integration manifest
libdrm-2.4.70-12 2d00869 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-11.2.2 3a9f628 from git://anongit.freedesktop.org/mesa/mesa
cairo 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
xorg-server-1.18.0-549 527c6ba from git://git.freedesktop.org/git/xorg/xserver
xf86-video-intel 2.99.917-703 15c5ff1 from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
libva-1.7.0-47 2ebf897 from git://git.freedesktop.org/git/vaapi/libva 
vaapi-intel-driver: 1.7.0-117 8c11f51 from git://git.freedesktop.org/git/vaapi/intel-driver
Intel-Gpu-Tools 1.16 f565b6c from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git

Let's check on the other platforms ...
Comment 29 Luis Botello 2016-10-13 22:02:25 UTC
Software Config:
=====================================================
Kernel:
commit f35ed31aea66b3230c366fcba5f3456ae2cb956e
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Oct 10 14:29:09 2016 +0300
    drm-intel-nightly: 2016y-10m-10d-11h-28m-51s UTC integration manifest

drm:
  tag: libdrm-2.4.71
  commit: a44c9c31b7b38b3eedf3d26648f9e68dcc377c4c
mesa:
  tag: mesa-12.0.0
  commit: 8b06176f310f65628ce136b90a99005278ba5e0d
cairo:
  tag: 1.15.2
  commit: db8a7f1697c49ae4942d2aa49eed52dd73dd9c7a
xorg-server-macros:
  tag: util-macros-1.19.0-2-gd7acec2
  commit: d7acec2d3a3abe79814ceb72e2c0d4d95ed31d37
xserver:
  tag: xorg-server-1.18.99.901-76-g97a8353
  commit: 97a8353ec1192d8d3bd2ebb99e5687cb91427e09
xf86-video-intel:
  tag: 2.99.917-712-g696f58f
  commit: 696f58f69f2bac5717d19f7a1a2278fee50a083e
libva:
  tag: libva-1.7.2-38-g3b7e499
  commit: 3b7e4999950a04fabd42edbead8c2f24c6cdf3cf
vaapi-intel-driver:
  tag: 1.7.2-133-gdd73514
  commit: dd73514209d7942f2d8c8b0bbb541fe6884ea1bc

Hardware Config:
========================================================
Platform                        : BXT-P
Motherboard model               : Broxton P
Motherboard type                : NOTEBOOK Hand Held
Motherboard manufacturer        : Intel Corp.
CPU family                      : Other
CPU information                 : 06/5c
GPU Card                        : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Comment 30 Luis Botello 2016-10-20 22:10:30 UTC
Issue is still present over KBL with the following configuration

Software Configuration:
========================================================
Kernel:
Branch           : drm-intel-nightly WW42 
commit 15dfed2b90e84e7c277f81842fc3f19355293061
Author: Lyude <thatslyude@gmail.com>
Date:   Sun Oct 16 19:16:08 2016 -0400
    drm-intel-nightly: 2016y-10m-16d-23h-15m-00s UTC integration manifest

Component         : drm
        tag       : libdrm-2.4.71
        commit    : a44c9c31b7b38b3eedf3d26648f9e68dcc377c4c 
Component         : cairo
        tag       : 1.15.2
        commit    : db8a7f1697c49ae4942d2aa49eed52dd73dd9c7a 
Component         : intel-gpu-tools
        tag       : intel-gpu-tools-1.16-83-g54f8a3f
        commit    : 54f8a3f7cf12eea484a0b0641718ced559959f53
Comment 31 Rami 2017-03-21 10:49:38 UTC
Still reproduced on SKL and BXT with last setup:

kernel:drm-tip: 2017y-03m-15d-21h-47m-56s UTC integration manifest
  commit: d7cb114e1327b50c609ee6e67122cc0293ea515f
  author: Chris Wilson <chris@chris-wilson.co.uk>
  authored_date: Wed Mar 15 21:48:18 2017 +0000
drm:libdrm-2.4.75-14-g19c4cfc from  git://git.freedesktop.org/git/mesa/drm
intel-gpu-tool: intel-gpu-tools-1.17-291-g90c883c
Comment 32 Maarten Lankhorst 2017-03-28 14:22:57 UTC
I've seen the test fail before. It could be a test issue or a hw issue, hard to tell without closer investigation.
Comment 33 Humberto Israel Perez Rodriguez 2017-05-18 00:02:36 UTC
the issue is still present on the following configuration


======================================
             Software
======================================
kernel version              : 4.12.0-rc1-drm-tip-ww20-commit-713f8ec+
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 03/10/2017
ksc                         : 16.0

======================================
        Graphic drivers
======================================
Component: drm
    tag: libdrm-2.4.80-11-ga2fa2e0
    commit: a2fa2e08692483cf9f4d06caa6e0f0add59e3343

Component: cairo
    tag: 1.15.4-21-g9d44136
    commit: 9d44136ef8e2a1ad2c6631beb4bbdaeed7a2dad8

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-173-g93215b0
    commit: 93215b00db06ba568c34a6cad194f4749bbfbc9d

Component: piglit
    tag: piglit-v1
    commit: 7352f4a98a23eae1201bfc4a0121d9c3a969d23f

======================================
             Hardware
======================================
motherboard model          : NUC6CAYS
motherboard id             : NUC6CAYB
form factor                : Desktop
manufacturer               : Intelcorporation
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU J3455 @ 1.50GHz
gpu card                   : Intel Corporation Device 5a85 (rev 0b) (prog-if 00 [VGA controller])
memory ram                 : 15.54 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 92
cpu stepping               : 9
signature                  : Type 0, Family 6, Model 92, Stepping 9
current cd clock frequency : 384000 kHz
maximum cd clock frequency : 624000 kHz
displays connected         : DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.7
guc fw loaded             : NONE
guc version wanted        : 0.0
guc version found         : 0.0
Add Comment
Comment 34 Hector Velazquez 2017-08-31 13:13:59 UTC
The following tests Fail on GLK with this configuration

Test List:

igt@kms_plane_scaling


======================================
        Output
======================================

(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: plane_set_position(0,0)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: plane_set_size (1920x1080)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:3256) igt-kms-DEBUG: display:     SetPlane A.2, fb 78, src = (0, 0) 1920x1080 dst = (0, 0) 1920x1080
(kms_plane_scaling:3256) igt-kms-DEBUG: display: }
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: fb_set_position(100,100)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: fb_set_size(500x500)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: plane_set_position(10,10)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: plane_set_size (1900x1060)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:3256) igt-kms-DEBUG: display:     SetPlane A.2, fb 78, src = (100, 100) 500x500 dst = (10, 10) 1900x1060
(kms_plane_scaling:3256) igt-kms-DEBUG: display: }
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: fb_set_position(0,0)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: fb_set_size(1920x1080)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: plane_set_position(10,10)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: A.2: plane_set_size (500x281)
(kms_plane_scaling:3256) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:3256) igt-kms-DEBUG: display:     SetPlane A.2, fb 78, src = (0, 0) 1920x1080 dst = (10, 10) 500x281
(kms_plane_scaling:3256) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:2244:
(kms_plane_scaling:3256) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:3256) igt-kms-CRITICAL: Last errno: 22, Invalid argument
(kms_plane_scaling:3256) igt-kms-CRITICAL: error: -22 != 0
(kms_plane_scaling:3256) igt-core-INFO: Stack trace:
(kms_plane_scaling:3256) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_plane_scaling:3256) igt-core-INFO:   #1 [do_display_commit+0xa9c]
(kms_plane_scaling:3256) igt-core-INFO:   #2 [<unknown>+0xa9c]
****  END  ****
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [do_display_commit+0xa9c]
  #2 [<unknown>+0xa9c]
(kms_plane_scaling:3256) igt-core-DEBUG: Exiting with status code 99



This is my configuration:

======================================
        Graphic stack
======================================

Component: drm
    tag: libdrm-2.4.81-51-gf19dbb7
    commit: f19dbb79fe54994ecd505ac67ad15d19f591933a

Component: cairo
    tag: 1.15.6-25-g12b875a
    commit: 12b875aef374636d1693a631524dd3b622277415

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-206-g60f6a12
    commit: 60f6a12195395934f179d5ecc080353190d19a6c

Component: piglit
    tag: piglit-v1
    commit: 739bcd89179ea9aa752f2f5c9eb405fb9dd396b0

======================================
             Software
======================================
kernel version              : 4.13.0-rc6-drm-tip-ww35-commit-00b77f6+
hostname                    : GLK-2-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 60.34
bios release date           : 08/09/2017
ksc                         : 1.41
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-206-g60f6a12
intel-gpu-tools (commit)    : 60f6a12

======================================
             Hardware
======================================
platform                   : Geminilake
motherboard model          : Geminilake
motherboard id             : GLKRVP1DDR4(05)
form factor                : Hand Held
manufacturer               : IntelCorp.
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU @ 1.10GHz
gpu card                   : Intel Corporation Device 3185 (rev 03) (prog-if 00 [VGA controller])
memory ram                 : 3.7 GB
max memory ram             : 16 GB
cpu thread                 : 2
cpu core                   : 2
cpu model                  : 122
cpu stepping               : 1
socket                     : Other
hard drive                 : 74GiB (80GB)
current cd clock frequency : 79200 kHz
maximum cd clock frequency : 316800 kHz
displays connected         : eDP-1 DP-1 HDMI-A-2

======================================
             Firmware
======================================
dmc fw loaded             : no
guc fw loaded             : NONE
guc version wanted        : 0.0
guc version found         : 0.0

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot
Comment 35 Hector Velazquez 2017-08-31 13:16:42 UTC
Created attachment 133901 [details]
Output(GLK)
Comment 36 Hector Velazquez 2017-08-31 13:17:04 UTC
Created attachment 133902 [details]
Dmesg.log (GLK)
Comment 37 Armando Antonio 2017-09-06 14:36:25 UTC
i tried to reproduce on KBL and the current assert is the following:

(kms_plane_scaling:1855) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:2244:
(kms_plane_scaling:1855) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:1855) igt-kms-CRITICAL: Last errno: 22, Invalid argument
(kms_plane_scaling:1855) igt-kms-CRITICAL: error: -22 != 0
(kms_plane_scaling:1855) igt-core-INFO: Stack trace:
(kms_plane_scaling:1855) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_plane_scaling:1855) igt-core-INFO:   #1 [do_display_commit+0xa9c]
(kms_plane_scaling:1855) igt-core-INFO:   #2 [<unknown>+0xa9c]


new dmesg attached

======================================
             Software
======================================
kernel version              : 4.13.0-drm-tip-ww36-commit-59fbfaa+
hostname                    : gfx-desktop
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.12
bios release date           : 09/12/2016
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-234-g490b386
intel-gpu-tools (commit)    : 490b386

======================================
             Hardware
======================================
platform                   : Kabylake-Nuc
motherboard model          : MS-B142
motherboard id             : MS-B1421
form factor                : Desktop
manufacturer               : Micro-StarInternationalCo.,Ltd.
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-7500U CPU @ 2.70GHz
gpu card                   : Intel Corporation Device 5916 (rev 02) (prog-if 00 [VGA controller])
memory ram                 : 15.55 GB
max memory ram             : 64 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 142
cpu stepping               : 9
socket                     : Other
signature                  : Type 0, Family 6, Model 142, Stepping 9
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : DP-1 HDMI-A-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14

======================================
             kernel parameters
======================================
drm.debug=0x1e quiet splash i915.enable_guc_submission=2 i915.enable_guc_loading=2 i915.alpha_support=1
Comment 38 Armando Antonio 2017-09-06 14:37:03 UTC
Created attachment 133995 [details]
new-dmesg
Comment 39 Hector Velazquez 2017-09-06 19:05:26 UTC
The following tests FAIL on SKL 

Tests List:

igt@kms_setmode@basic


======================================
        Output Sample
======================================
...
(kms_plane_scaling:1981) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:2244:
(kms_plane_scaling:1981) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:1981) igt-kms-CRITICAL: Last errno: 22, Invalid argument
(kms_plane_scaling:1981) igt-kms-CRITICAL: error: -22 != 0
(kms_plane_scaling:1981) igt-core-INFO: Stack trace:
(kms_plane_scaling:1981) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_plane_scaling:1981) igt-core-INFO:   #1 [do_display_commit+0xa9c]
(kms_plane_scaling:1981) igt-core-INFO:   #2 [<unknown>+0xa9c]
****  END  ****
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [do_display_commit+0xa9c]
  #2 [<unknown>+0xa9c]
(kms_plane_scaling:1981) igt-core-DEBUG: Exiting with status code 99
...

This is my configuration:

======================================
        Graphic stack
======================================

Component: drm
    tag: libdrm-2.4.81-52-g05a830d
    commit: 05a830d382382905d87b55af90aa109fb76e4c16

Component: cairo
    tag: 1.15.6-30-gc29db4f
    commit: c29db4f0de52727406a8b62f4da9a382084b5a79

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-234-g490b386
    commit: 490b386ae36d393cdea514882a2437c6e964c13f

Component: piglit
    tag: piglit-v1
    commit: dab15137044c34023b1a843e72e781b03b17548b

======================================
	     Software
======================================
kernel version              : 4.13.0-drm-tip-ww36-commit-9dd459e+
hostname                    : gfx-desktop
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 09/29/2016
hardware acceleration       : only available on X
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-234-g490b386
intel-gpu-tools (commit)    : 490b386

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.26
guc fw loaded             : SUCCESS
guc version wanted        : 6.1
guc version found         : 6.1
huc fw loaded             : yes

======================================
	     kernel parameters
======================================
quiet splash drm.debug=0x1e i915.enable_guc_submission=2 i915.enable_guc_loading=2 i915.alpha_support=1

======================================
	     Hardware
======================================
platform                   : Skylake Canyon
motherboard id             : NUC6i7KYB
form factor                : Desktop
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-6770HQ CPU @ 2.60GHz
gpu card                   : Intel Corporation Iris Pro Graphics 580 (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 31.31 GB
max memory ram             : 32 GB
cpu thread                 : 8
cpu core                   : 4
cpu model                  : 94
cpu stepping               : 3
socket                     : Other
signature                  : Type 0, Family 6, Model 94, Stepping 3
hard drive                 : 223GiB (240GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : DP-1 DP-3
Comment 40 Armando Antonio 2017-09-19 22:20:24 UTC
The following test cases are failing on CFL with latest configuration

======================================= 
Test List
=======================================
igt@kms_plane_scaling


======================================
             Software
======================================
kernel version              : 4.14.0-rc1-drm-tip-ww38-commit-099f750+
hostname                    : CFL-CNP
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 95.4
bios release date           : 07/24/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-304-g93f72b2
intel-gpu-tools (commit)    : 93f72b2

======================================
             Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot

======================================
Output summary
======================================
(kms_plane_scaling:1967) igt-kms-DEBUG: display:     SetPlane A.2, fb 74, src = (100, 100) 1720x880 dst = (100, 100) 1720x880
(kms_plane_scaling:1967) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:2245:
(kms_plane_scaling:1967) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:1967) igt-kms-CRITICAL: Last errno: 22, Invalid argument
(kms_plane_scaling:1967) igt-kms-CRITICAL: error: -22 != 0
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [do_display_commit+0xa9c]
  #2 [<unknown>+0xa9c]
Test kms_plane_scaling failed.
**** DEBUG ****
Comment 41 Hector Velazquez 2017-09-20 16:42:13 UTC
This test still fail on GLK QA

igt@kms_plane_scaling

====================================================
Output
====================================================
. . .
**** DEBUG ****
(kms_plane_scaling:1423) igt-core-INFO: IGT-Version: 1.19-gda197b5 (x86_64) (Linux: 4.14.0-rc1-drm-tip-ww38-commit-ab2e3a0+ x86_64)
(kms_plane_scaling:1423) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(kms_plane_scaling:1423) drmtest-DEBUG: Test requirement passed: !(fd<0)
(kms_plane_scaling:1423) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_plane_scaling:1423) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_plane_scaling:1423) igt-kms-DEBUG: display: init {
(kms_plane_scaling:1423) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 76 to 1
(kms_plane_scaling:1423) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 84 to 1
(kms_plane_scaling:1423) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 88 to 1
(kms_plane_scaling:1423) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 91 to 1
(kms_plane_scaling:1423) igt-kms-DEBUG: display: }
(kms_plane_scaling:1423) DEBUG: Test requirement passed: d->num_scalers
(kms_plane_scaling:1423) igt-kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_plane_scaling:1423) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 76 to 1
(kms_plane_scaling:1423) igt-kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_plane_scaling:1423) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:1423) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:1423) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_plane_scaling:1423) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:1423) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:1423) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_plane_scaling:1423) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 76 to 1
(kms_plane_scaling:1423) igt-kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_plane_scaling:1423) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_plane_scaling:1423) igt-debugfs-DEBUG: Using generic frame CRC ABI
(kms_plane_scaling:1423) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:1423) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:1423) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=3, pitch=7680)
(kms_plane_scaling:1423) igt-kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.0: plane_set_fb(144)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.1: plane_set_fb(144)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane A.0, fb 144, src = (0, 0) 1920x1080 dst = (0, 0) 1920x1080
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane A.1, fb 144, src = (0, 0) 1920x1080 dst = (0, 0) 1920x1080
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe A, plane 2, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe A, plane 3, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe A, plane 4, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe B, plane 0, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe B, plane 1, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe B, plane 2, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe B, plane 3, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe B, plane 4, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe C, plane 0, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe C, plane 1, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe C, plane 2, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe C, plane 3, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane pipe C, plane 4, disabling
(kms_plane_scaling:1423) igt-kms-DEBUG: display: }
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_fb(92)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_position(100,100)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_size(1720x880)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_position(100,100)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_size (1720x880)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane A.2, fb 92, src = (100, 100) 1720x880 dst = (100, 100) 1720x880
(kms_plane_scaling:1423) igt-kms-DEBUG: display: }
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_position(0,0)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_size(1920x1080)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_position(0,0)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_size (1920x1080)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane A.2, fb 92, src = (0, 0) 1920x1080 dst = (0, 0) 1920x1080
(kms_plane_scaling:1423) igt-kms-DEBUG: display: }
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_position(100,100)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_size(500x500)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_position(10,10)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_size (1900x1060)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane A.2, fb 92, src = (100, 100) 500x500 dst = (10, 10) 1900x1060
(kms_plane_scaling:1423) igt-kms-DEBUG: display: }
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_position(0,0)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: fb_set_size(1920x1080)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_position(10,10)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: A.2: plane_set_size (500x281)
(kms_plane_scaling:1423) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:1423) igt-kms-DEBUG: display:     SetPlane A.2, fb 92, src = (0, 0) 1920x1080 dst = (10, 10) 500x281
(kms_plane_scaling:1423) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:2245:
(kms_plane_scaling:1423) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:1423) igt-kms-CRITICAL: Last errno: 22, Invalid argument
(kms_plane_scaling:1423) igt-kms-CRITICAL: error: -22 != 0
(kms_plane_scaling:1423) igt-core-INFO: Stack trace:
(kms_plane_scaling:1423) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_plane_scaling:1423) igt-core-INFO:   #1 [do_display_commit+0xa9c]
(kms_plane_scaling:1423) igt-core-INFO:   #2 [<unknown>+0xa9c]
****  END  ****
. . .

This is my configuration:

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-55-g76418c2
    commit: 76418c244d4c52a8dd20809e3e8b4e70501fc76f

Component: cairo
    tag: 1.15.6-38-g1220e3c
    commit: 1220e3c6b8f94a00ac7afee15f21e6782655d97c

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-312-gda197b5
    commit: da197b5f3cb516aaaea72d0d60b0f5c1c81081dd

Component: piglit
    tag: piglit-v1
    commit: 2753955998d7deb90f681cf4cb1253c4519dfd1d


======================================
             Software
======================================
kernel version              : 4.14.0-rc1-drm-tip-ww38-commit-ab2e3a0+
hostname                    : gfx-desktop
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 62.30
bios release date           : 08/22/2017
ksc                         : 1.48
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-312-gda197b5
intel-gpu-tools (commit)    : da197b5

======================================
             Hardware
======================================
. . .
======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet splash drm.debug=0xe i915.enable_guc_submission=2 i915.enable_guc_loading=2 i915.alpha_support=1 resume=/dev/sda3
Comment 42 Hector Velazquez 2017-09-28 12:39:57 UTC
This test is still failing on GLK QA

Tests List:

igt@kms_plane_scaling


====================================================
Output
====================================================
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-56-g7c71188
    commit: 7c71188610b4ceba0339c2bc884320bcb749adee

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-332-g0a91a5e
    commit: 0a91a5e9624d41d23b79e2540eda111cb56d42d9

Component: piglit
    tag: piglit-v1
    commit: 95e2f51a28b6cf7ff77d84e1234121c98f10ef64
	
======================================
             Software
======================================
kernel version              : 4.14.0-rc2-drm-tip-ww39-commit-d76cbbc+
hostname                    : GLK-2-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 62.30
bios release date           : 08/22/2017
ksc                         : 1.41
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-332-g0a91a5e
intel-gpu-tools (commit)    : 0a91a5e

======================================
             Hardware
======================================
. . .

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0xe pci=pcie_bus_safe i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot
Comment 43 Hector Velazquez 2017-09-29 19:46:26 UTC
This test are failing on CFL-S-1 QA

Tests List:

igt@kms_plane_scaling

====================================================
Output
====================================================
. . .
**** DEBUG ****
(kms_plane_scaling:2699) igt-core-INFO: IGT-Version: 1.19-g2885b10 (x86_64) (Linux: 4.14.0-rc2-drm-tip-ww39-commit-85932e1+ x86_64)
(kms_plane_scaling:2699) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(kms_plane_scaling:2699) drmtest-DEBUG: Test requirement passed: !(fd<0)
(kms_plane_scaling:2699) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_plane_scaling:2699) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_plane_scaling:2699) igt-kms-DEBUG: display: init {
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 48 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 56 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 61 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 65 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 68 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 72 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: display: }
(kms_plane_scaling:2699) DEBUG: Test requirement passed: d->num_scalers
(kms_plane_scaling:2699) igt-kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 48 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_plane_scaling:2699) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:2699) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:2699) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_plane_scaling:2699) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:2699) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:2699) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_plane_scaling:2699) igt-kms-DEBUG: Setting Broadcast RGB mode on connector 48 to 1
(kms_plane_scaling:2699) igt-kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_plane_scaling:2699) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_plane_scaling:2699) igt-debugfs-DEBUG: Using generic frame CRC ABI
(kms_plane_scaling:2699) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x100000000000001, size=0)
(kms_plane_scaling:2699) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_plane_scaling:2699) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=3, pitch=7680)
(kms_plane_scaling:2699) igt-kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.0: plane_set_fb(84)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.1: plane_set_fb(84)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane A.0, fb 84, src = (0, 0) 1920x1080 dst = (0, 0) 1920x1080
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane A.1, fb 84, src = (0, 0) 1920x1080 dst = (0, 0) 1920x1080
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane pipe A, plane 2, disabling
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane pipe B, plane 0, disabling
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane pipe B, plane 1, disabling
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane pipe B, plane 2, disabling
(kms_plane_scaling:2699) igt-kms-DEBUG: display: }
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.2: plane_set_fb(76)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.2: fb_set_position(100,100)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.2: fb_set_size(1720x880)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.2: plane_set_position(100,100)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: A.2: plane_set_size (1720x880)
(kms_plane_scaling:2699) igt-kms-DEBUG: display: commit {
(kms_plane_scaling:2699) igt-kms-DEBUG: display:     SetPlane A.2, fb 76, src = (100, 100) 1720x880 dst = (100, 100) 1720x880
(kms_plane_scaling:2699) igt-kms-CRITICAL: Test assertion failure function igt_drm_plane_commit, file igt_kms.c:2245:
(kms_plane_scaling:2699) igt-kms-CRITICAL: Failed assertion: ret == 0
(kms_plane_scaling:2699) igt-kms-CRITICAL: Last errno: 22, Invalid argument
(kms_plane_scaling:2699) igt-kms-CRITICAL: error: -22 != 0
(kms_plane_scaling:2699) igt-core-INFO: Stack trace:
(kms_plane_scaling:2699) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_plane_scaling:2699) igt-core-INFO:   #1 [do_display_commit+0xa9c]
(kms_plane_scaling:2699) igt-core-INFO:   #2 [<unknown>+0xa9c]
****  END  ****
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-56-g7c71188
    commit: 7c71188610b4ceba0339c2bc884320bcb749adee

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-334-g2885b10
    commit: 2885b10f99b4beeb046e75af8b8488c229f629d3

Component: piglit
    tag: piglit-v1
    commit: e1f66fb2fb8ad781ca755831983b6662c4c440d4
	
======================================
	     Software
======================================
kernel version              : 4.14.0-rc2-drm-tip-ww39-commit-85932e1+
hostname                    : CFL-S-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 104.3
bios release date           : 09/14/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3
/dev/nvme0n1p3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-334-g2885b10
intel-gpu-tools (commit)    : 2885b10

======================================
	     Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0xe pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 44 Hector Velazquez 2017-11-08 14:59:28 UTC
This test continue failing on CFL QA

igt@kms_plane_scaling

This is my configuration:

======================================
	Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-79-g61ff977
    commit: 61ff9779e37179ed5106c0e2452e16500127fb9e

Component: cairo
    tag: 1.15.6-63-g3322580
    commit: 3322580f0488ff77f53d86c2b4d3cf59e6dca4c7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-466-g1fc4de1
    commit: 1fc4de1ca390adec9be8bd7cc0c36cab07465959

Component: piglit
    tag: piglit-v1
    commit: 65b4b197da9e4121155f2dca3fca913e677e7bf2
======================================
	     Software
======================================
kernel version              : 4.14.0-rc7-drm-intel-qa-ww44-commit-2f945d9+
hostname                    : CFL-2
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 95.4
bios release date           : 07/24/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.87
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-470-gc8d1ea2
intel-gpu-tools (commit)    : c8d1ea2

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : fetch SUCCESS, load SUCCESS
guc version wanted        : wanted 9.14, found 9.14
guc version found         : wanted 9.14, found 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 45 Hector Velazquez 2017-11-17 22:26:27 UTC
This test continue failing on GLK QA

igt@kms_plane_scaling

IGT-Version: 1.20-g88d6550 (x86_64) (Linux: 4.14.0-drm-tip-ww46-commit-1fc4fe8+ x86_64)
fastfeedback-nov-ww46-thursday-07-03-33-code-179785857

Component: drm
    tag: libdrm-2.4.81-107-g18ffe48
    commit: 18ffe485cdfa41d48b6f2d3080cb990d28c27d57

Component: cairo
    tag: 1.15.6-83-g0c8070f
    commit: 0c8070f5bc74c124e6393b433a61807a8e4bee5d

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-483-g88d6550
    commit: 88d6550795fad3974d77e4db2f563c5e2e8872e1

Component: piglit
    tag: piglit-v1
    commit: b6aee208234287380d2e55c17dc2d236931284fa
Comment 46 Hector Velazquez 2017-11-29 20:14:50 UTC
This test continue failing on CFL QA

igt@kms_plane_scaling

IGT-Version: 1.20-g4c57ff4 (x86_64) (Linux: 4.14.0-drm-tip-ww47-commit-f710441+ x86_64)

Component: drm
    tag: libdrm-2.4.81-108-g0ab36da
    commit: 0ab36dafaf818c35a258dac0c75b779ab2ae792b

Component: cairo
    tag: 1.15.6-88-g84fc0ce
    commit: 84fc0ce91d1a57d20500f710abc0e17de82c67df

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-541-g5b3619f
    commit: 5b3619f3751ecef55fa993984ddb59a458fcebed

Component: piglit
    tag: piglit-v1
    commit: cb562a383229074b44db6998b85572d2abe7c363
Comment 47 Lakshmi 2018-08-31 11:32:10 UTC
Too many issues in one bug. This is anyway a CI issue which should only be tracked in CI Bug Log. Closing as invalid.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.